<template>
    <block type="events" v-bind="params">
        <div class="container">
            <section-title v-if="params.header" v-bind="params.header"></section-title>
            <div class="events__content">
                <card-event v-for="(item, index) in itemsVisible" :key="index" :index="index" :item="item"></card-event>
            </div>
        </div>
    </block>
</template>

<script>
export default {
    props: {
        content: {
            type: Object,
            default: () => {
                return {
                    events: require('@js/samples').default.load('events')
                }
            }
        },
        params: {
            type: Object,
            default: () => {
                return {}
            }
        }
    },
    data() {
        return {}
    },
    computed: {
        itemsVisible: function () {
            return  this.content.events.slice(0, 3);
        }
    }
}
</script>